<?php
// $Id: javanode.pages.inc,v 1.1.2.1 2011/01/02 17:42:25 jimmyax Exp $

/**
 * @file
 *   Functions needed to render a page. USed right now for the iframe render mode.
 */

/**
 * Function to render the specified node id. It will render and then exit to
 * prevent the theme from kicking in as we need a special subpage.
 *
 * @param $node The node to render.
 */
function javanode_render_iframe_page($node) {
  if (isset($node->javanode)) {
    $params = $node->javanode['params'];
    if (javanode_check_params_syntax($params)) {
      $params = javanode_parse_params($params);
    }
    else {
      $params = new stdClass();
    }
    module_invoke_all('javanode_java_params_alter', &$node, &$params);
    print theme('javanode_render_iframe_page', $node->title, $node->javanode['height'], $node->javanode['width'], $node->javanode['class'], $node->javanode['hotlink'], $node->javanode['filepath'], $params);
  }
  else {
    print 'No such Java Node.';
  }
  exit;
}

/**
 * Function to theme the iframe element needed to iframe...
 *
 * @param $nid The node id to generate the iframe for.
 * @param $height The height of the iframe.
 * @param $width The width of the iframe.
 */
function theme_javanode_render_iframe($nid, $height, $width) {
  $link = url('node/' . (int)$nid . '/javanode-iframe');
  $height = check_plain($height);
  $width = check_plain($width);
  return "\n<iframe src='$link' height='$height' width='$width'></iframe>\n";
}