<?php
// $Id: javanode.views.inc,v 1.1.2.2 2010/12/27 16:34:44 jimmyax Exp $

/**
 * @file
 *   This file just defines the needed data for views to handle java nodes.
 */

/**
 * Return data defining the java node content field
 */
function javanode_views_data() {
  // Define data to allow access to the java node content
  $data['javanode']['table']['group']  = t('Java node');

  $data['javanode']['table']['join']['node'] = array(
    'left_field' => 'vid',
    'field' => 'vid',
  );

  // Define data to allow access to the file path
  $data['javanode_file']['table']['group']  = t('Java node');

  $data['javanode_file']['table']['join']['node'] = array(
    'left_table' => 'javanode',
    'left_field' => 'fid',
    'field' => 'fid',
    'table' => 'files',
  );

  $data['javanode_file']['filepath'] = array(
    'title' => t('Path'),
    'help' => t('The filepath of the java node file.'),
    'field' => array(
      'handler' => 'views_handler_field_javanode_filepath',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );

  return $data;
}


/**
 * Register java node content handler with Views
 */
function javanode_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'javanode') . '/views',
    ),
    'handlers' => array(
      'views_handler_field_javanode_content' => array(
        'parent' => 'views_handler_field',
      ),
      'views_handler_field_javanode_filepath' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}